XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Enum

Specifies the type of node.

A given set of XML data is modeled as a tree of nodes. This enumeration specifies the different node types.

- Field
  System.Xml.XmlNodeType Attribute

  An attribute.

  Example XML: id="123"

  An node can have the following child node types: and . The node does not appear as the child node of any other node type. It is not considered a child node of an .

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType CDATA

  A CDATA

  section.

  Example XML: <![CDATA[escaped text]]>

  CDATA sections are used to escape blocks of text that would otherwise be recognized as markup. A node cannot have any child nodes. It can appear as the child of the , , and nodes.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType Comment

  A comment.

  Example XML: <!-- comment -->

  A node cannot have any child nodes. It can appear as the child of the , , , and nodes.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType Document

  A document object that, as the root of the document tree, provides access to the entire XML document.

  A node can have the following child node types: , (maximum of one), , , and . It cannot appear as the child of any node types.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType DocumentFragment

  A document fragment.

  The node associates a node or sub-tree with a document without actually being contained within the document. A node can have the following child node types: , , , , , and . It cannot appear as the child of any node types.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType DocumentType

  The document type declaration, indicated by the following tag.

  Example XML: <!DOCTYPE ...>

  A node can have the following child node types: and . It can appear as the child of the node.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType Element

  An element.

  Example XML: <name>

  An node can have the following child node types: , , , , , and . It can be the child of the , , , and nodes. To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType EndElement

  An end element.

  Example XML: </name>

  Returned when gets to the end of an element.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType EndEntity

  Returned when gets to the end of the entity replacement as a result of a call to .

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType Entity

  An entity declaration.

  Example XML: <!ENTITY ...>

  An node can have child nodes that represent the expanded entity (for example, and nodes). It can appear as the child of the node.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType EntityReference

  A reference to an entity.

  Example XML: &num;

  An node can have the following child node types: , , , , , and . It can appear as the child of the , , , and

  nodes.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType None

  This is returned by the if a read method has not been called or if no more nodes are available to be read.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType Notation

  A notation in the document type declaration.

  Example XML: <!NOTATION ...>

  A node cannot have any child nodes. It can appear as the child of the node.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType ProcessingInstruction

  A processing instruction.

  Example XML: <?pi test?>

  A node cannot have any child nodes. It can appear as the child of the , , , and nodes.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType SignificantWhitespace

  White space between markup in a mixed content model or white space within the xml:space="preserve" scope.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType Text

  The text content of a node.

  A node cannot have any child nodes. It can appear as the child node of the , , , and nodes.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType Whitespace

  White space between markup.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Xml.XmlNodeType XmlDeclaration

  The XML declaration.

  Example XML: <?xml version="1.0"?>

  The node must be the first node in the document. It cannot have children. It is a child of the node. It can have attributes that provide version and encoding information.

  To be added. 0 1.0.5000.0 2.0.0.0
0